Jupiter CMS 'Index.PHP'.PHP远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110899 漏洞类型 输入验证
发布时间 2006-08-26 更新时间 2006-09-05
CVE编号 CVE-2006-4428 CNNVD-ID CNNVD-200608-460
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/28430
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-460
|漏洞详情
**有争议**JupiterCMS1.1.5的index.php脚本存在PHP远程文件包含漏洞,远程攻击者可以借助template参数中的URL执行任意PHP代码。注:CVE对此问题存在争议,因为$template变量在include声明中被引用之前已被定义为静态变量。
|漏洞EXP
source: http://www.securityfocus.com/bid/19721/info

Jupiter CMS is prone to a remote file-include vulnerability because it fails to properly sanitize user-supplied input.

An attacker can exploit this issue to include arbitrary remote files containing malicious PHP code and execute it in the context of the webserver process. This may allow the attacker to compromise the application and to gain access to the underlying system.

Version 1.1.5 is vulnerable to this issue; other versions may also be affected.

This BID has been retired.

http://www.example.com/path/index.php?template=[Evil Code]
|参考资料

来源:BID
名称:19721
链接:http://www.securityfocus.com/bid/19721
来源:BUGTRAQ
名称:20060825JupiterCMS1.1.5index.phpRemoteFileInclude
链接:http://www.securityfocus.com/archive/1/archive/1/444421/100/0/threaded
来源:VIM
名称:20060828JupiterCMSfileinclude-CVEdispute
链接:http://www.attrition.org/pipermail/vim/2006-August/000996.html
来源:XF
名称:jupitercm-index-file-include(28589)
链接:http://xforce.iss.net/xforce/xfdb/28589
来源:BUGTRAQ
名称:20060829Re:JupiterCMS1.1.5index.phpRemoteFileInclude
链接:http://www.securityfocus.com/archive/1/archive/1/444729/100/0/threaded
来源:OSVDB
名称:28298
链接:http://www.osvdb.org/28298